Source: libtest-poe-server-tcp-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: gregor herrmann <gregoa@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: perl,
                     libpoe-perl,
                     perl | libsocket-perl,
                     netbase
Standards-Version: 3.9.8
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libtest-poe-server-tcp-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libtest-poe-server-tcp-perl.git
Homepage: https://metacpan.org/release/Test-POE-Server-TCP

Package: libtest-poe-server-tcp-perl
Architecture: all
Depends: ${perl:Depends},
         ${misc:Depends},
         libpoe-perl,
         perl | libsocket-perl
Description: test framework for TCP client libraries using POE
 Test::POE::Server::TCP is a Perl Object Environment (POE, see libpoe-perl)
 component that provides a TCP server framework for inclusion in your client
 module's test cases. Once registered, a session will receive events related
 to client connections, disconnections, input and any flushed output. It will
 also get a unique client identifier which may be used in communication with
 the client component when sending data to the client or ending a connection.
